Core - Task # 45133

Epic # 55070 (Accepted): Workpackages
Epic # 54851 (Accepted): WP: Workspaces IRRE & MM bugfixes

Story # 54853 (Accepted): As a user | want to correctly create, modify, preview and publish IRRE & MM related workspace changes

Task # 56376 (Resolved): Invalid relations of IRRE records in workspaces

Status: Closed Priority: Should have
Author: Oliver Hader Category: Workspaces
Created: 2013-02-04 Assigned To: Oliver Hader
Updated: 2014-03-17 Due date:

TYPO3 Version: 4.7

PHP Version: 5.3

Complexity:

Sprint Focus:

Subject: New IRRE parent-child-structures are not removed

Description

If creating new records on a workspace, a placeholder record will be created and overlayed by a specific version. Removing the

parent record does not remove the dependent 1:n children which leads to warnings on removing translations and recreating them

afterwards (since child records are not really removed, but lost their parent reference).

The fix is to process placeholders on removing after references have been removed.

Currently it's the other way round which leads to the situation that parents just lost their children.

History

#1 - 2013-02-04 13:52 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch version_4-7 has been pushed to the review server.

It is available at https://review.typo3.org/18000

#2 - 2013-02-06 18:57 - Gerrit Code Review

Patch set 1 for branch 4.5 has been pushed to the review server.
It is available at https://review.typo3.org/18067

#3 - 2013-02-13 14:38 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18236

#4 - 2013-05-27 20:44 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/21093
#5 - 2013-05-27 20:56 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-7 has been pushed to the review server.

It is available at https://review.typo3.org/21095

#6 - 2013-05-27 21:26 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-5 has been pushed to the review server.

It is available at https://review.typo3.org/21102

#7 - 2013-12-10 00:58 - Michael Stucki
- Category changed from Bugs to Workspaces

#8 - 2013-12-10 01:02 - Michael Stucki
- Project changed from Workspaces & Versioning to Core

- Category changed from Workspaces to Workspaces

#9 - 2014-01-08 22:36 - Oliver Hader
- Parent task set to #54853
- Is Regression set to No

#10 - 2014-01-08 22:38 - Oliver Hader
- Assigned To deleted (Oliver Hader)

#11 - 2014-01-08 22:39 - Oliver Hader
- Status changed from Under Review to Needs Feedback

#12 - 2014-02-18 00:44 - Oliver Hader
- Status changed from Needs Feedback to On Hold

#13 - 2014-03-17 16:56 - Oliver Hader

- Status changed from On Hold to Resolved

- Assigned To set to Oliver Hader

- Target version deleted (4.5.23)

- % Done changed from 0 to 100

- Parent task changed from #54853 to #56376
- PHP Version set to 5.3

Solved with parent issue #56376

Mentioned behaviour is tested for modify, publish and publishAll in IRRE-ForeignField and IRRE-CSV context (see
createAndLocalizeParentContentWithHotelAndOfferChildrenAndDiscardCreatedParent() test)

#14 - 2014-03-17 16:58 - Oliver Hader
- Status changed from Resolved to Closed
